import { useEnumStore } from '@/stores'

const { getEnumTypeList, getEnumTypeName } = useEnumStore()

/**
 * 预售钻石类型
 */
export enum YSZSCategory {
    Diamonds = 1, // 成品裸钻
    Rough = 2, // 毛坯钻石
}

/**
 * 获取预售钻石类型列表
 * @returns 
 */
export function getYSZSCategoryList() {
    return getEnumTypeList('YSZSCategory')
}

/**
 * 获取预售钻石类型名称
 * @returns 
 */
export function getYSZSCategoryName(value?: number) {
    const enums = getYSZSCategoryList()
    return getEnumTypeName(enums, value)
}

/**
 * 获取预售生产方式列表
 * @returns 
 */
export function getYSProductionModeList() {
    return getEnumTypeList('YSProductionMode')
}

/**
 * 获取预售生产方式名称
 * @returns 
 */
export function getYSProductionModeName(value?: number) {
    const enums = getYSProductionModeList()
    return getEnumTypeName(enums, value)
}

/**
 * 获取预售状态列表
 * @returns 
 */
export function getWRPresaleStatusList() {
    return getEnumTypeList('WRPresaleStatus')
}

/**
 * 获取预售状态名称
 * @returns 
 */
export function getWRPresaleStatusName(value?: number) {
    const enums = getWRPresaleStatusList()
    return getEnumTypeName(enums, value)
}

/**
 * 获取预售申请状态列表
 * @returns 
 */
export function getInOutApplyStatusList() {
    return getEnumTypeList('inoutapplystatus')
}

/**
 * 获取预售申请状态名称
 * @returns 
 */
export function getInOutApplyStatusName(value?: number) {
    const enums = getInOutApplyStatusList()
    return getEnumTypeName(enums, value)
}